Using Leap 42.1 I like to have my music available and Spotify being my main source. I found out perhaps Libgcrypt11 is not functioning in 42.1? I did try 1.5.4 and 1.5.0 with same result. I am not able to tell exacly what the output in terminal said because I am trying Windows 10 at the moment.
Spotify works without issues in 13.2 and tumbleweed. I understand that Leap 42.1 is based on SLE which might differ in the source with several components.

Start terminal and typing spotify as normal user says something like "check failed" and further down it says: gee this is a bug(?).


To try yourself follow this:

Download

https://dl.dropboxusercontent.com/u/...28-1_amd64.deb
(I like the old grey theme.)

https://software.opensuse.org/package/libgcrypt11

https://software.opensuse.org/package/rpm-build

https://software.opensuse.org/package/alien


Code:
zypper in alien-8.88-3.1.x86_64.rpm
zypper in rpm-build-4.11.2-6.2.x86_64.rpm

alien -c -r spotify-client_0.9.4.183.g644e24e.428-1_amd64.deb

zypper in spotify-client_0.9.4.183.g644e24e.428-1_amd64.rpm

choose 2 : break dependencies

libssl0.9.8 is installed automatically

zypper in libgcrypt11-1.5.4-6.1.x86_64.rpm

ln -s /usr/lib64/libnss3.so /usr/lib64/libnss3.so.1d
ln -s /usr/lib64/libnssutil3.so /usr/lib64/libnssutil3.so.1d
ln -s /usr/lib64/libsmime3.so /usr/lib64/libsmime3.so.1d 
ln -s libplc4.so /usr/lib64/libplc4.so.0d
ln -s libnspr4.so /usr/lib64/libnspr4.so.0d

 spotify